Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers.rules
Class M5Rules

    java.lang.Object
      weka.classifiers.Classifier
          weka.classifiers.trees.m5.M5Base
              weka.classifiers.rules.M5Rules

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, AdditionalMeasureProducer, OptionHandler

    public class M5Rules

extends M5Base

Generates a decision list for regression problems using separate-and-conquer. In each iteration it builds an model tree using M5 and makes the "best" leaf into a rule. Reference:

M. Hall, G. Holmes, E. Frank (1999). "Generating Rule Sets from Model Trees". Proceedings of the Twelfth Australian Joint Conference on Artificial Intelligence, Sydney, Australia. Springer-Verlag, pp. 1-12.

Valid options are:

-U
Use unsmoothed predictions.

-R
Build regression tree/rule rather than model tree/rule -M num
Minimum number of objects per leaf.

-N
Turns pruning off.

Version:
  $Revision: 1.3.2.1 $
Author:
  Mark Hall
See Also:
  Serialized Form

Constructor Summary
`M5Rules()`

Method Summary
`java.lang.String` | `globalInfo()` Returns a string describing classifier
`static void` | `main(java.lang.String[] args)` Main method by which this class can be tested

Methods inherited from class weka.classifiers.trees.m5.M5Base
`buildClassifier, classifyInstance, enumerateMeasures, getBuildRegressionTree, getM5RootNode, getMeasure, getMinNumInstances, getOptions, getUnpruned, getUseUnsmoothed, listOptions, measureNumRules, setBuildRegressionTree, setMinNumInstances, setOptions, setUnpruned, setUseUnsmoothed, toString`

Methods inherited from class weka.classifiers.Classifier
`debugTipText, distributionForInstance, forName, getDebug, makeCopies, makeCopy, setDebug`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### M5Rules

    public M5Rules()

Method Detail

### globalInfo

    public java.lang.String globalInfo()

  Returns a string describing classifier

  Overrides:
    `globalInfo` in class `M5Base`
  Returns:
    a description suitable for displaying in the explorer/experimenter gui

### main

    public static void main(java.lang.String[] args)

  Main method by which this class can be tested

  Parameters:
    `args` - an array of options

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD